/*
*  this code is taken part from pa_Potentiometer
*  
*  Reads the values which represent the state of a potentiometer 
*  from the serial port and draws a graphical representation.
* 
*  This file is part of the Arduino meets Processing Project.
*  For more information visit http://www.arduino.cc.
*
*  copyleft 2005 by Melvin Ochsmann for Malm? University
*
*/
class GraphDisplay {

        // the display item draws background and grid
        DisplayItems di;
        
        int rectHeight;
        int rectWidth;
 
GraphDisplay(){
        // create DisplayItems object
        di = new DisplayItems(); 
        rectHeight=height/21;
        rectWidth=40;
        }
        
void drawGraph(){
        di.drawItems();
        drawSensorState();
        }  

void drawSensorState(){
        for (int i = 0; i < A.length; i++) {
          
          // decidning the display color for each sensor
             noStroke();
             if (i == 0) fill(0, 0, 255);
             if (i == 1) fill(0, 0, 128);
             if (i == 2) fill(0, 255, 0);
             if (i == 3) fill(0, 128, 0);
             if (i == 4) fill(255, 0, 0);
             if (i == 5) fill(128, 0, 0);
             
             // draw rect to show the analog values
              rect(arduino.analogRead(i)/2, (i+2)*rectHeight, rectWidth, rectHeight);
              fill(255);
              
              // and text
              text(""+arduino.analogRead(i) , arduino.analogRead(i)/2+rectWidth, (i+2)*rectHeight+rectHeight/2);
              }
              
             for (int i = 0; i < D.length; i++) {  
             // decidning the display color for each sensor
             noStroke();
             if (i == 0) fill(0, 0, 255);
             if (i == 1) fill(0, 0, 128);
             if (i == 2) fill(0, 255, 0);
             if (i == 3) fill(0, 128, 0);
             if (i == 4) fill(255, 0, 0);
             if (i == 5) fill(128, 0, 0);
             if (i == 6) fill(0, 0, 255);
             if (i == 7) fill(0, 0, 128);
             if (i == 8) fill(0, 255, 0);
             if (i == 9) fill(0, 128, 0);
             if (i == 10) fill(255, 0, 0);
             if (i == 11) fill(128, 0, 0);
             
              // draw rect to show the digital values
              rect(arduino.digitalRead(i)*300, i*rectHeight+rectHeight*9, rectWidth, rectHeight);
              fill(255); 
              
              // and text
              text("D"+ i , arduino.digitalRead(i)*300+rectWidth, i*rectHeight+rectHeight*9);
             }
             // and text
              text("----------analog value------------" , 100, rectHeight);
              text("----------digital value------------" , 100, rectHeight*8);
        }

}
